Package weka.core.pmml.jaxbbindings

# Class LiftGraph

java.lang.Object
weka.core.pmml.jaxbbindings.LiftGraph

public class LiftGraph extends Object

Java class for LiftGraph element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="LiftGraph">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}XCoordinates"/>
               <element ref="{http://www.dmg.org/PMML-4_1}YCoordinates"/>
               <element ref="{http://www.dmg.org/PMML-4_1}BoundaryValues" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}BoundaryValueMeans" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LiftGraph()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoundaryValueMeans`
  `getBoundaryValueMeans()`
  Gets the value of the boundaryValueMeans property.
  `BoundaryValues`
  `getBoundaryValues()`
  Gets the value of the boundaryValues property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `XCoordinates`
  `getXCoordinates()`
  Gets the value of the xCoordinates property.
  `YCoordinates`
  `getYCoordinates()`
  Gets the value of the yCoordinates property.
  `void`
  `setBoundaryValueMeans(BoundaryValueMeans value)`
  Sets the value of the boundaryValueMeans property.
  `void`
  `setBoundaryValues(BoundaryValues value)`
  Sets the value of the boundaryValues property.
  `void`
  `setXCoordinates(XCoordinates value)`
  Sets the value of the xCoordinates property.
  `void`
  `setYCoordinates(YCoordinates value)`
  Sets the value of the yCoordinates property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LiftGraph

    public LiftGraph()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getXCoordinates

    public XCoordinates getXCoordinates()
    Gets the value of the xCoordinates property.
    Returns:
      possible object is `XCoordinates`

  - ### setXCoordinates

    public void setXCoordinates(XCoordinates value)
    Sets the value of the xCoordinates property.
    Parameters:
      `value` - allowed object is `XCoordinates`

  - ### getYCoordinates

    public YCoordinates getYCoordinates()
    Gets the value of the yCoordinates property.
    Returns:
      possible object is `YCoordinates`

  - ### setYCoordinates

    public void setYCoordinates(YCoordinates value)
    Sets the value of the yCoordinates property.
    Parameters:
      `value` - allowed object is `YCoordinates`

  - ### getBoundaryValues

    public BoundaryValues getBoundaryValues()
    Gets the value of the boundaryValues property.
    Returns:
      possible object is `BoundaryValues`

  - ### setBoundaryValues

    public void setBoundaryValues(BoundaryValues value)
    Sets the value of the boundaryValues property.
    Parameters:
      `value` - allowed object is `BoundaryValues`

  - ### getBoundaryValueMeans

    public BoundaryValueMeans getBoundaryValueMeans()
    Gets the value of the boundaryValueMeans property.
    Returns:
      possible object is `BoundaryValueMeans`

  - ### setBoundaryValueMeans

    public void setBoundaryValueMeans(BoundaryValueMeans value)
    Sets the value of the boundaryValueMeans property.
    Parameters:
      `value` - allowed object is `BoundaryValueMeans`